For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of payment methods
      • POSTCreate a payment method
      • PUTUpdate or create a payment method (upsert)
      • GETGet a payment method
      • PATCHUpdate a payment method
      • POSTRefresh the payment methods of a customer
      • POSTTokenize a payment method
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIPayment Methods

Create a payment method

POST
/v:version/payment-methods
POST
/v:version/payment-methods
$curl -X POST https://test.api.solvimon.com/v1/payment-methods \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "reference",
> "type": "CARD",
> "card": {
> "brand": "VISA",
> "name": "H. Andersehn",
> "expiry_date": {
> "expiry_month": 3,
> "expiry_year": 2030
> },
> "last_four_digits": "4242",
> "country": "DE"
> },
> "customer_id": "cust_xwDeeN0uaFceXPAzV31e",
> "integration_id": "intg_VwDeeD0u8kumteAM9Q1M",
> "integration_details": {
> "payment_gateway_variant": "STRIPE",
> "stripe": {
> "payment_method_id": "pm_1P66izEKYSTH0sgfj2oRa54y"
> }
> },
> "billing_address": {
> "line1": "Hasengarten 14",
> "city": "Berlin",
> "postal_code": "79341",
> "country": "DE"
> }
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "created_at": "string",
5 "reference": "string",
6 "status": "SETUP",
7 "type": "CARD",
8 "card": {
9 "brand": "ACCEL",
10 "name": "string",
11 "expiry_date": {
12 "expiry_month": 1,
13 "expiry_year": 1
14 },
15 "last_four_digits": "string",
16 "country": "string"
17 },
18 "online_banking": {
19 "variant": "string",
20 "owner_name": "string",
21 "iban": "string",
22 "bic": "string",
23 "country": "AD"
24 },
25 "buy_now_pay_later": {
26 "variant": "string"
27 },
28 "direct_debit": {
29 "variant": "string",
30 "owner_name": "string",
31 "iban": "string",
32 "bic": "string",
33 "country": "AD"
34 },
35 "digital_wallet": {
36 "variant": "string"
37 },
38 "customer_id": "string",
39 "integration_id": "string",
40 "integration_reference": "string",
41 "integration_details": {
42 "id": "string",
43 "reference": "string",
44 "payment_gateway_variant": "ADYEN",
45 "adyen": {
46 "recurring_detail_reference": "string"
47 },
48 "stripe": {
49 "payment_method_id": "string"
50 }
51 },
52 "billing_address": {
53 "line1": "string",
54 "line2": "string",
55 "city": "string",
56 "postal_code": "string",
57 "state": "string",
58 "country": "AD"
59 },
60 "is_default": true
61}

Requires the PAYMENT_METHOD.CREATE permission.

Was this page helpful?
Previous

Update or create a payment method (upsert)

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringOptionalformat: "^\S+$"0-256 characters
typeenum or nullOptional
cardobjectOptional
online_bankingobjectOptional
buy_now_pay_laterobjectOptional
direct_debitobjectOptional
digital_walletobjectOptional
customer_idstring or nullOptional
Resource ID of type CUSTOMER
integration_idstring or nullOptional
Resource ID of type INTEGRATION
integration_referencestring or nullOptional
integration_detailsobjectOptional
billing_addressobjectOptional
is_defaultboolean or nullOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
statusenum or nullRead-only
Allowed values:
typeenum or null
cardobject
online_bankingobject
buy_now_pay_laterobject
direct_debitobject
digital_walletobject
customer_idstring or null
Resource ID of type CUSTOMER
integration_idstring or null
Resource ID of type INTEGRATION
integration_referencestring or null
integration_detailsobject
billing_addressobject
is_defaultboolean or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error